import styled from "styled-components";
import { asCardStack } from "../components/card-stack";

const Links: React.FC = () => {
    return <>
        <h2>Fediverse!</h2>
        {asCardStack(FEDIVERSE_LINKS)}

        <h2>Some links...</h2>
        {asCardStack(LINKS)}
    </>;
}

const Heading = styled.h1`
    font-family: "Pacifico", serif;
`;

const FEDIVERSE_LINKS = [
    {
        content: "Akkoma",
        icon: "/icons/fediverse/akkoma.svg",
        link: "https://akkoma.sador.me"
    },
    {
        content: "Pixelfed",
        icon: "/icons/fediverse/pixelfed.svg",
        link: "https://pix.sador.me"
    },
    {
        content: "PeerTube",
        icon: "/icons/fediverse/peertube.svg",
        link: "https://tube.sador.me/home"
    }
].map(link => Object.assign(link, { primary: true }));

const LINKS = [
    {
        content: "PGP",
        icon: "/icons/pgp.svg",
        link: "/pgp.asc",
        primary: true
    },
    {
        content: "Uptime of my services",
        icon: "/icons/uptime.svg",
        link: "https://health.sador.me/status/aio"
    },
    {
        content: "E-mail",
        icon: "/icons/email.svg",
        link: "mailto:contact@sador.me?subject=[sador.me] ..."
    },
    {
        content: "Gitea",
        icon: "/icons/gitea.svg",
        link: "https://git.sador.me"
    },
    {
        content: "Matrix",
        icon: "/icons/matrix.svg",
        link: "https://matrix.to/#/@boss:sador.me"
    },
    {
        content: "Instagram (deactivated)",
        icon: "/icons/instagram.svg",
        disabled: true,
        link: "https://instagram.com/sadorowo"
    }
];

export default Links;